@import "~material-design-icons/iconfont/material-icons.css";

#top{
    height: 20px;
    width: 100%;
}

.class_header{
    padding: 12px 8px;
    background-color: rgb(199, 204, 230);
    color: white;
}

.spacer_5{
    height: 5px;
    width: 100%;
}
.mb-20{
    .left_forms_container,.right_forms_container{
        box-shadow: 1px 3px 6px rgba(0, 0, 0, 0.2);
        min-height: 400px;
        background-color: white;
        padding: 20px;
        position: relative;
        a{
            margin-left: 20px;
            margin-top: 10px;
        }
    }
    table{
        width: 100%;
        box-shadow: 0 0 0 rgba(0, 0, 0, 0);
    }
}

.w-101{
    font-family: Fontil Sans, monospace;
    font-size: 1em;
    position: relative;
    width: 20%;
    margin-left: 80%;
    margin-top:20px;
    margin-bottom: 20px;
}

@media only screen and (max-width: 425px) {
    .mb-20{
        .left_forms_container,.right_forms_container{
            box-shadow: 1px 3px 6px rgba(0, 0, 0, 0.2);
            min-height: 200px;
        }
    }
    
    .jadwal_kelas_trainee,.jadwal_kelas_trainer{
        td{
            font-size: 0.8em;
            .mat-form-field{
                max-width: 300px;
            }
        }
        input{
            font-size: 0.85em;
        }
    }
    .mat-paginator{
        font-size: 0.70em;
    }
    .w-101{
        width: 20%;
        margin-left: 75%;
        margin-top:20px;
    }    
    .mat-paginator-icon{
        font-size: 0.7em;
    }

    .mat-elevation-z8{
        th,td{
            font-size: 0.8em;
        }
    }
    .mat-paginator-range-actions{
        .mat-paginator-range-label{
            width: 20px;
        }

    }
}
@media only screen and (max-width: 375px) {
    .mat-elevation-z8{
        th,td{
            font-size: 0.7em;
        }
    }
    .w-101{
        width: 20%;
        margin-left: 70%;
        margin-top:20px;
    }    

}

@media only screen and (max-width: 320px) {
    .left_forms_container,.right_forms_container{
        min-height: 100px;
    }
    .jadwal_kelas_trainee,.jadwal_kelas_trainer{
        td{
            font-size: 0.7em;
            .mat-form-field{
                max-width: 150px;
            }
        }
        input{
            font-size: 0.75em;
        }
    }
    .mat-elevation-z8{
        th,td{
            font-size: 0.6em;
        }
    }
    .w-101{
        width: 20%;
        margin-left: 60%;
        margin-top:20px;
    }    
    .mat-paginator{
        font-size: 0.70em;
    }
    .mat-paginator-icon{
        font-size: 0.7em;
    }
    .mat-paginator-range-actions{
        .mat-paginator-range-label{
            min-width: 20px !important;
        }

    }
}
